GuideLab API

Update production settings

Updates the production configuration settings for the current lab.

PUT
/production/settings

Updates the production configuration settings for the current lab.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PUT "https://example.com/production/settings" \  -H "Content-Type: application/json" \  -d '{}'
{  "settings": {    "id": "string",    "labId": "string",    "isEnabled": true,    "cutoffTime": "string",    "bufferDays": 0,    "showPricesInOrderDetails": true,    "taskPageHeaders": {      "property1": true,      "property2": true    },    "excludedCategoryIds": [      "string"    ],    "excludedProductIds": [      "string"    ],    "useDoneDate": true,    "defaultUnitCapacity": 0,    "enableBarcodeScanning": true,    "organizeByDate": true,    "defaultSortField": "scheduledDate",    "defaultGroupBy": "room",    "createdAt": "string",    "updatedAt": "string",    "property1": null,    "property2": null  }}
Empty